%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define oname ppx_type_conv
Name:           ocaml-%{oname}
Version:        113.24.00
Release:        %mkrel 1
Summary:        Support Library for type-driven code generators
License:        Apache 2.0
Group:          Development/OCaml
URL:            https://github.com/janestreet/ppx_type_conv
Source0:        https://github.com/janestreet/ppx_type_conv/archive/%{version}.tar.gz
BuildRequires:  ocaml-findlib >= 1.3.2
BuildRequires:  ocaml-oasis >= 0.4
BuildRequires:  opam
BuildRequires:  ocaml-ppx_core-devel
BuildRequires:  ocaml-ppx_deriving-devel
BuildRequires:  ocaml-ppx_driver-devel
BuildRequires:  ocaml-ppx_tools-devel

%description
Support Library for type-driven code generators

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
./configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --sharedstatedir %{_sharedstatedir} \
    --destdir %{buildroot}
make

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml ppx_type_conv.install

%files
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/*.annot
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx


%changelog
* Thu Feb 18 2016 pterjan <pterjan> 113.24.00-1.mga6
+ Revision: 965161
- imported package ocaml-ppx_type_conv

